#!/bin/bash

#######################################
#
# Skript, um DAViCal auszulesen und in
# ics-Dateien zu schreiben
#
# 20.09.2011 - dirk@schimansky.com
#
#######################################

###
# Einstellungen
ADMIN="admin"
PW="geheim"
SERVER=`hostname -f`

###
# Verzeichnis der Kalenderdaten
DAVICALDIR="/home/davical"

###
# los geht's
! [ -d "${DAVICALDIR}" ] && mkdir "${DAVICALDIR}"
chmod o+xr "${DAVICALDIR}"
CALENDAR_LIST=`sudo -u postgres psql davical -qAt -c "SELECT dav_name FROM collection WHERE is_calendar"`
for CALENDAR in ${CALENDAR_LIST};do
	USERNAME=`sudo -u postgres psql -qAt -c \
		"SELECT usr.username || '_' || collection.collection_id \
		FROM collection, usr WHERE collection.dav_name='$CALENDAR' AND \
		collection.user_no=usr.user_no" davical`
	[ -z "${USERNAME}" ] && continue
	echo " --> ${USERNAME}	-->	${CALENDAR}"
	/usr/bin/wget ${USERNAME} --no-check-certificate --quiet --user="${ADMIN}" --password="${PW}" -O "${DAVICALDIR}/${USERNAME}.ics" "${SERVER}:8443/caldav.php/${CALENDAR}"
done
chmod o-wrx "${DAVICALDIR}"

###
# habe fertig
exit
